Help get this topic noticed by sharing it on Twitter, Facebook, or email.

GuiCon 2 and Penguin PG15 with GSM Modem

I am using GuiCon Gold Build 443, which matches the Penguin PG15 version (443.001), and I think I had to match these versions to get the download to work. Is it necessary to have matching versions?

Also is it possible and worth the effort to update the Penguin and GUICon to the latest version (548)?
1 person has
this question
+1
Reply